Ticket #10187: 10187-further-cleanup.patch

File 10187-further-cleanup.patch, 5.5 KB (added by drkirkby, 9 years ago)

Further clean up SPKG.txt and spkg-install on the ECL package. Reverse some previous changes

  • SPKG.txt

    # HG changeset patch
    # User David Kirkby <david.kirkby@onetel.net>
    # Date 1291228224 0
    # Node ID 3c32f4059a1c22f3cd3efc15fbe7024595a222af
    # Parent  bfdaad1ed76d4021d49bcf2881583f02b106f884
    #10187 Further cleanup, and reversal of some previous changes
    
    diff -r bfdaad1ed76d -r 3c32f4059a1c SPKG.txt
    a b  
    4848=== ecl-10.4.1 (David Kirkby, 11th November 2010) ===
    4949  * #10187 Update to the latest stable release of ECL, which is needed
    5050    to build on Fedora 14 (see #10185).
     51  * Addred the word "Error" in front of all error messages.
    5152  * Added a TODO to add an spkg-check file. Doing this is not
    5253    trivial. The ECL developer has said the test code on the
    5354    ECL site is outdated, and ECL is not really designed to
     
    8586  * Changed code to set optimisation flag -O0 if SAGE_DEBUG=yes. This
    8687    is more consistent with other packages.
    8788  * Removed set -e / set +e. When used properly, these are useful, but it
    88     is very easy for someoone to fail to set them properly, that it's safter
    89     to not use them. :w
     89    is very easy for someoone to fail to set them properly, so it's safer
     90    to not use them.
    9091  * Changed method of setting CPPFLAGS and LDFLAGS so they would work with
    9192    a space in $SAGE_LOCAL.
    9293  * Made notes in this file and spkg-install that the way ECL is configured
    9394    in Sage, the values of CXX and CXXFLAGS are ignored.
    94   * Added -with-gmp-prefix="$SAGE_LOCAL" --with-system-gmp=yes
    95     --enable-boehm=system to the line invoking the configure script. These
    9695  * Removed an inaccurate comment about what MAKE="$MAKE -j1" does.
    9796  * Noted that a certain bit of code would be executed on Solaris Express too,
    9897    rather than just the Solaris and OpenSolaris that were listed before.
    99   * Ensured that user defined values for CFLAGS & CXXFLAGS do not get
    100     overwritten, as they would have done when SAGE_DEBUG was not "yes"
     98  * Ensured that user-defined values for CFLAGS & CXXFLAGS do not get
     99    overridden, as they would have been when SAGE_DEBUG was not "yes"
    101100
    102101
    103102=== ecl-10.2.1.p3 (David Kirkby, David Kirkby, 17th September 2010) ===
     
    106105    retrieved on 17th September 2010. Note, the upstream source code has
    107106    many changes - only this, and the next change were put in Sage. We have
    108107    NOT updated the ECL version to the latest unstable upstream version.
    109   * Remove an extra argument on line 680 of dpp.c Same comments as above.
     108  * Removed an extra argument on line 680 of dpp.c Same comments as above.
    110109
    111110=== ecl-10.2.1.p2 (David Kirkby, 30th July 2010) ===
    112111  * #9643 Force ECL to disable assembly code on Solaris 10 as
     
    133132  * Upgrade to latest stable upstream release.
    134133
    135134=== ecl-9.10.2-20091105cvs.p1 (William Stein, December 17, 2009) ===
    136   * Remove the encodings directory, since it contains potentially
     135  * Removed the encodings directory, since it contains potentially
    137136    dangerous binary files. 
    138137
    139138=== ecl-9.10.2-20091105cvs.p0 (Mike Hansen, November 5, 2009) ===
     
    187186  * Removed -m64 from LDFLAGS - it is not needed and unportable.
    188187  * Add a check that someone is not mixing the Sun and GNU
    189188    compilers.
    190   * Remove all the special build instructions from this file,
     189  * Removed all the special build instructions from this file,
    191190    as we are not sure they are needed.
    192191  * Changed dependency note above from gmp to mpir.
    193192  * Added my own name as a maintainer.
  • spkg-install

    diff -r bfdaad1ed76d -r 3c32f4059a1c spkg-install
    a b  
    11#!/usr/bin/env bash
    22
    33if [ "x$SAGE_LOCAL" = x ] ; then
    4    echo "SAGE_LOCAL undefined ... exiting"
     4   echo "Error - SAGE_LOCAL undefined ... exiting"
    55   echo "Maybe run 'sage -sh'?"
    66   exit 1
    77fi
     
    1414   CXXFLAG64=-m64
    1515fi
    1616
    17 CPPFLAGS="$CPPFLAGS -I${SAGE_LOCAL}/include"
    18 LDFLAGS="$LDFLAGS -L${SAGE_LOCAL}/lib"
     17CPPFLAGS="$CPPFLAGS -I$SAGE_LOCAL/include"
     18LDFLAGS="$LDFLAGS -L$SAGE_LOCAL/lib"
     19
     20
    1921
    2022# Compile for 64-bit if SAGE64 is set to 'yes'
    2123if [ "x$SAGE64" = "xyes" ]  ; then
     
    7072   # 1) Solaris, Solaris Express or OpenSolaris (SunOS)
    7173   # 2) Intel or AMD CPU
    7274   # 3) 64-bit build
    73    ./configure --prefix="$SAGE_LOCAL" --with-gmp-prefix="$SAGE_LOCAL" --with-system-gmp=yes --enable-boehm=system --with-dffi=no
     75   ./configure --prefix="$SAGE_LOCAL" --with-dffi=no
    7476else
    75    ./configure --prefix="$SAGE_LOCAL" --with-gmp-prefix="$SAGE_LOCAL" --with-system-gmp=yes --enable-boehm=system
     77   ./configure --prefix="$SAGE_LOCAL"
    7678fi
    7779
    7880if [ $? -ne 0 ]; then
    79    echo "Failed to configure ECL ... exiting"
     81   echo "Error - Failed to configure ECL ... exiting"
    8082   exit 1
    8183fi
    8284
    8385$MAKE
    8486if [ $? -ne 0 ]; then
    85    echo "Failed to build ECL ... exiting"
     87   echo "Error - Failed to build ECL ... exiting"
    8688   exit 1
    8789fi
    8890
    89 # Remove old install of ecl, if any.
     91# Remove old install of ECL, if any.
    9092rm -rf "$SAGE_LOCAL/lib/ecl-"*
    9193if [ $? -ne 0 ]; then
    92    echo "Failed to remove old ECL install ... exiting"
     94   echo "Error - Failed to remove old ECL install ... exiting"
    9395   exit 1
    9496fi
    9597
    9698$MAKE install
    9799if [ $? -ne 0 ]; then
    98    echo "Failed to install ECL ... exiting"
     100   echo "Error - Failed to install ECL ... exiting"
    99101   exit 1
    100102fi
    101103
     
    105107
    106108# It is very important that the above line worked.
    107109if [ $? -ne 0 ]; then
    108    echo "Failed to create ecl library symbolic link ... exiting"
     110   echo "Error - Failed to create ECL library symbolic link ... exiting"
    109111   exit 1
    110112fi